# -*- coding: utf-8 -*-
#
# Authors: Diego Sarmentero <diego.sarmentero@canonical.com>
#
# Copyright 2011 Canonical Ltd.
#
# This program is free software: you can redistribute it and/or modify it
# under the terms of the GNU General Public License version 3, as published
# by the Free Software Foundation.
#
# This program is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranties of
# MERCHANTABILITY, SATISFACTORY QUALITY, or FITNESS FOR A PARTICULAR
# PURPOSE.  See the GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License along
# with this program.  If not, see <http://www.gnu.org/licenses/>.
"""Platform independent tests for the credentials management."""

import unittest
import os

from ubuntuone.devtools.testcase import skipIfNotOS

import xdg.BaseDirectory


class TestBaseDirectory(unittest.TestCase):
    """Tests for the BaseDirectory module."""

    @skipIfNotOS("win32", "This test is Windows Platform specific")
    def test_get_special_folders(self):
        """Make sure we can import the platform module."""

        special_folders = xdg.BaseDirectory.get_special_folders()
        self.assertTrue(type(special_folders) is dict)
        if len(special_folders) == 3:
            self.assertTrue('Personal' in special_folders)
            self.assertTrue('Local AppData' in special_folders)
            self.assertTrue('AppData' in special_folders)
        for k in special_folders:
            os.access(special_folders[k], os.W_OK)
